searchData={"items":[{"type":"module","title":"CNFT","doc":"CNFT is a module for handling transactions related to creating, minting, and transferring NFTs on the Solana blockchain.\n\nThis module uses Rustler to interface with native Rust code for performance-critical operations.","ref":"CNFT.html"},{"type":"function","title":"CNFT.create_tree_config/4","doc":"Creates a tree transaction.","ref":"CNFT.html#create_tree_config/4"},{"type":"function","title":"Parameters - CNFT.create_tree_config/4","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - payer: The account that will pay for the transaction.","ref":"CNFT.html#create_tree_config/4-parameters"},{"type":"function","title":"Returns - CNFT.create_tree_config/4","doc":"- A transaction data structure.","ref":"CNFT.html#create_tree_config/4-returns"},{"type":"function","title":"CNFT.get_asset/2","doc":"Returns the information of a compressed/standard asset including metadata and owner.","ref":"CNFT.html#get_asset/2"},{"type":"function","title":"Parameters - CNFT.get_asset/2","doc":"- rpc_client: The RPC url to interact with the Solana blockchain.\n   - asset: The NFT asset to retrieve data for.","ref":"CNFT.html#get_asset/2-parameters"},{"type":"function","title":"Returns - CNFT.get_asset/2","doc":"- The api reponse in JSON string.","ref":"CNFT.html#get_asset/2-returns"},{"type":"function","title":"CNFT.get_proof/2","doc":"Returns the merkle tree proof information for a compressed asset.","ref":"CNFT.html#get_proof/2"},{"type":"function","title":"Parameters - CNFT.get_proof/2","doc":"- rpc_client: The RPC url to interact with the Solana blockchain.\n   - asset: The NFT asset to retrieve data for.","ref":"CNFT.html#get_proof/2-parameters"},{"type":"function","title":"Returns - CNFT.get_proof/2","doc":"- The api reponse in JSON string.","ref":"CNFT.html#get_proof/2-returns"},{"type":"function","title":"CNFT.mint_v1/10","doc":"Mints a new NFT on the Solana blockchain.","ref":"CNFT.html#mint_v1/10"},{"type":"function","title":"Parameters - CNFT.mint_v1/10","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - tree: The public key (as a string) of the tree structure where the NFT will be minted.\n  - owner: The public key (as a string) of the account that will own the minted NFT.\n  - payer: The keypair (as a string, e.g., base58 encoded) of the account that will pay for the transaction.\n  - name: The name of the NFT.\n  - symbol: The symbol of the NFT.\n  - uri: The URI pointing to the NFT metadata.\n  - seller_fee_basis_points: The royalty fee in basis points (e.g., 100 = 1%)\n  - is_mutable: Boolean indicating if the NFT metadata can be updated. \n  - nonce: A unique identifier for the minted NFT.","ref":"CNFT.html#mint_v1/10-parameters"},{"type":"function","title":"Returns - CNFT.mint_v1/10","doc":"- `{:ok, transaction_signature}`: A tuple containing the atom `:ok` and the transaction signature as a string.\n  - `{:error, reason}`: A tuple containing the atom `:error` and a reason for failure (if the NIF fails).","ref":"CNFT.html#mint_v1/10-returns"},{"type":"function","title":"CNFT.transfer/5","doc":"Transfers an NFT to a new owner.","ref":"CNFT.html#transfer/5"},{"type":"function","title":"Parameters - CNFT.transfer/5","doc":"- rpc_client: The RPC client to interact with the Solana blockchain.\n  - asset: The NFT asset to be transferred.\n  - owner: The current owner of the NFT.\n  - payer: The account that will pay for the transaction.\n  - receiver: The account that will receive the NFT.","ref":"CNFT.html#transfer/5-parameters"},{"type":"function","title":"Returns - CNFT.transfer/5","doc":"- A transaction data structure.","ref":"CNFT.html#transfer/5-returns"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}